## cascading.operation.xml
Class XPathOperation

    java.lang.Object
      cascading.operation.BaseOperation<DocumentBuilder>
          cascading.operation.xml.XPathOperation

All Implemented Interfaces:
  Operation<DocumentBuilder>, Serializable

Direct Known Subclasses:
  XPathFilter, XPathGenerator, XPathParser

    public class XPathOperation

extends BaseOperation<DocumentBuilder>

Class XPathOperation is the base class for all XPath operations.

See Also:
  Serialized Form

Field Summary
`static String[][]` `NAMESPACE_XHTML` Field NAMESPACE_XHTML
`protected String[][]` `namespaces` Field namespaces
`protected String[]` `paths` Field paths

Fields inherited from class cascading.operation.BaseOperation
`fieldDeclaration, numArgs, trace`

Fields inherited from interface cascading.operation.Operation
`ANY`

Constructor Summary
`protected` `XPathOperation(int numArgs, Fields fieldDeclaration, String[][] namespaces, String... paths)`
`protected` `XPathOperation(int numArgs, String[][] namespaces, String... paths)`

Method Summary
`boolean` `equals(Object object)`
`protected List<XPathExpression>` `getExpressions()`
`Transformer` `getTransformer()` Method getTransformer returns the transformer of this XPathOperation object.
`XPath` `getXPath()` Method getXPath returns the XPath of this XPathOperation object.
`int` `hashCode()`
`protected Document` `parseDocument(DocumentBuilder documentBuilder, String argument)`
`void` `prepare(FlowProcess flowProcess, OperationCall<DocumentBuilder> operationCall)` Method prepare does nothing, and may safely be overridden.
`protected String` `writeAsXML(Node node)`

Methods inherited from class cascading.operation.BaseOperation
`cleanup, getFieldDeclaration, getNumArgs, getTrace, isSafe, printOperationInternal, toString, toStringInternal`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NAMESPACE_XHTML

    public static final String[][] NAMESPACE_XHTML

  Field NAMESPACE_XHTML

### namespaces

    protected final String[][] namespaces

  Field namespaces

### paths

    protected final String[] paths

  Field paths

Constructor Detail

### XPathOperation

    protected XPathOperation(int numArgs,
                             Fields fieldDeclaration,
                             String[][] namespaces,
                             String... paths)

### XPathOperation

    protected XPathOperation(int numArgs,
                             String[][] namespaces,
                             String... paths)

Method Detail

### prepare

    public void prepare(FlowProcess flowProcess,
                        OperationCall<DocumentBuilder> operationCall)

  Description copied from class: `BaseOperation`
  Method prepare does nothing, and may safely be overridden.

  Specified by:
    `prepare` in interface `Operation<DocumentBuilder>`
  Overrides:
    `prepare` in class `BaseOperation<DocumentBuilder>`

### getXPath

    public XPath getXPath()

  Method getXPath returns the XPath of this XPathOperation object.

  Returns:
    the XPath (type XPath) of this XPathOperation object.

### getTransformer

    public Transformer getTransformer()
                               throws TransformerConfigurationException

  Method getTransformer returns the transformer of this XPathOperation object.

  Returns:
    the transformer (type Transformer) of this XPathOperation object.
  Throws:
    `TransformerConfigurationException` - when

### writeAsXML

    protected String writeAsXML(Node node)

### getExpressions

    protected List<XPathExpression> getExpressions()

### parseDocument

    protected Document parseDocument(DocumentBuilder documentBuilder,
                                     String argument)

### equals

    public boolean equals(Object object)

  Overrides:
    `equals` in class `BaseOperation<DocumentBuilder>`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `BaseOperation<DocumentBuilder>`

Copyright © 2007-2010 Concurrent, Inc. All Rights Reserved.